/**
  *  \file client/dlg-mbox.h
  *
  *  (c) 2001-2010 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DLG_MBOX_H
#define PCC_V2_CLIENT_DLG_MBOX_H

#include "ui/widgets.h"
#include "game/msg.h"

class WMessageDisplay : public UIWidget {
    GMessagebox& mbox;
    SignalConnection conn;

    void searchFromMessage(int nr);
 public:
    WMessageDisplay(int id, GMessagebox& mbox);
    ~WMessageDisplay();

    bool handleEvent(const UIEvent& e, bool second_pass);

    void getLayoutInfo(LayoutInfo& info);
    void drawContent(GfxCanvas& can);

    void doStandardDialog();

    void next(int);
    void previous(int);
    void search(int);
    void searchNext(int);
    void forwardMessage();
};

#endif
