/**
  *  \file client/labels.h
  *  \brief Object Label Expressions
  */
#ifndef PCC_V2_CLIENT_LABELS_H
#define PCC_V2_CLIENT_LABELS_H

#include "cpluslib/string.h"

/** Label kind. Identifies the kind of object whose label we're talking about. */
enum LabelKind {
    ShipLabel,
    PlanetLabel
};

void     initLabels();
string_t getLabel(LabelKind kind, int id);
string_t getLabelExpr(LabelKind kind);
void     setLabelExpr(LabelKind kind, string_t expr);

#endif
