/**
  *  \file int/builtin.h
  *  \brief Interpreter: Code Generation for Builtin Functions
  */
#ifndef PCC_V2_INT_BUILTIN_H
#define PCC_V2_INT_BUILTIN_H

#include "cpluslib/string.h"

class IntFunctionCallNode;

/** Description of a builtin function. */
struct TBuiltinFunctionDescriptor {
    /// Name of the function.
    const char* name;

    /// Argument count restrictions.
    int min_args, max_args;

    /// Node generator function.
    IntFunctionCallNode* (*generator)(const TBuiltinFunctionDescriptor& desc);

    /// Additional parameter for node generator.
    int generator_arg;
};

const TBuiltinFunctionDescriptor* lookupBuiltinFunction(string_t name);

#endif
